package sma.ep2.beans.aluno;

import java.util.Collection;

import javax.ejb.CreateException;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;

/**
 * Entity bean que representa (de modo simplificado) um aluno.
 */
public abstract class AlunoBean implements EntityBean
{

   /**
    * Cria uma instncia de um aluno. Como vamos utilizar CMP (Container Managed Persistente), o
    * mtodo retorna null. Esse mtodo  chamado apenas pelo continer EJB (nunca diretamente).
    */
   public Integer ejbCreate(Integer numeroUsp, String nome, String curso, String email)
         throws CreateException
   {
      setNumeroUsp(numeroUsp);
      setNome(nome);
      setCurso(curso);
      setEmail(email);
      return null;
   }

   /** Esse mtodo  chamado aps a instanciao do bean. Nesse caso esse mtodo no faz nada. */
   public void ejbPostCreate(Integer numeroUsp, String nome, String curso, String email)
   {
   }

   // Campos persistentes ---------------------------------------------------
   public abstract Integer getNumeroUsp();

   public abstract void setNumeroUsp(Integer nusp);

   public abstract String getNome();

   public abstract void setNome(String nome);

   public abstract String getCurso();

   public abstract void setCurso(String curso);

   public abstract String getEmail();

   public abstract void setEmail(String email);

   public abstract Collection getDisciplinas();

   public abstract void setDisciplinas(Collection disciplinas);

   // Mtodos de callback ---------------------------------------------------
   public void ejbActivate()
   {
   }

   public void ejbLoad()
   {
   }

   public void ejbPassivate()
   {
   }

   public void ejbRemove()
   {
   }

   public void ejbStore()
   {
   }

   public void setEntityContext(EntityContext entityContext)
   {
   }

   public void unsetEntityContext()
   {
   }

}
