package sma.ep2.beans.aluno;

import java.util.Collection;

import javax.ejb.CreateException;
import javax.ejb.EJBLocalHome;
import javax.ejb.FinderException;

/**
 * Interface home local do entity bean <code>AlunoBean</code>. Essa interface permite a criao e
 * a busca de alunos.
 */
public interface AlunoLocalHome extends EJBLocalHome
{

   /** Cria uma nova instncia de um aluno. */
   AlunoLocal create(Integer numeroUsp, String nome, String curso, String email)
         throws CreateException;

   /**
    * Procura pelo aluno com a chave primria (nmero USP) fornecida. Esse mtodo  implementado
    * pelo continer EJB.
    */
   AlunoLocal findByPrimaryKey(Integer numeroUsp) throws FinderException;

   /**
    * Retorna todos os alunos. Esse mtodo executa uma query em EJB-QL, que est definida no arquivo
    * "ejb-jar.xml".
    */
   Collection findAllAlunos() throws FinderException;

}
