package sma.ep2.beans.disciplina;

import java.util.Collection;

import javax.ejb.CreateException;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;

/**
 * Entity bean que representa (de modo simplificado) uma disciplina (na realidade um oferecimento da
 * disciplina).
 */
public abstract class DisciplinaBean implements EntityBean
{

   /**
    * Cria uma instncia de uma disciplina. Como vamos utilizar CMP (Container Managed Persistente),
    * o mtodo retorna null. Esse mtodo  chamado apenas pelo continer EJB (nunca diretamente).
    */
   public String ejbCreate(String sigla, String nome, String professor, String horario)
         throws CreateException
   {
      setSigla(sigla);
      setNome(nome);
      setProfessor(professor);
      setHorario(horario);
      return null;
   }

   /** Esse mtodo  chamado aps a instanciao do bean. Nesse caso esse mtodo no faz nada. */
   public void ejbPostCreate(String sigla, String nome, String professor, String horario)
   {
   }

   // Campos persistentes ---------------------------------------------------
   public abstract String getSigla();

   public abstract void setSigla(String sigla);

   public abstract String getNome();

   public abstract void setNome(String nome);

   public abstract String getProfessor();

   public abstract void setProfessor(String professor);

   public abstract String getHorario();

   public abstract void setHorario(String horario);

   public abstract Collection getAlunos();

   public abstract void setAlunos(Collection alunos);

   // Mtodos de callback ---------------------------------------------------
   public void ejbActivate()
   {
   }

   public void ejbLoad()
   {
   }

   public void ejbPassivate()
   {
   }

   public void ejbRemove()
   {
   }

   public void ejbStore()
   {
   }

   public void unsetEntityContext()
   {
   }

   public void setEntityContext(EntityContext entityContext)
   {
   }

}
