package sma.ep2.beans.disciplina;

import java.util.Collection;

import javax.ejb.CreateException;
import javax.ejb.EJBLocalHome;
import javax.ejb.FinderException;

/**
 * Interface home local do entity bean <code>DisciplinaBean</code>. Essa interface permite a
 * criao e a busca de disciplinas.
 */
public interface DisciplinaLocalHome extends EJBLocalHome
{

   /** Cria uma nova instncia de uma disciplina. */
   DisciplinaLocal create(String sigla, String nome, String professor, String horario)
         throws CreateException;

   /**
    * Procura pela disciplina com a chave primria (sigla) fornecida. Esse mtodo  implementado
    * pelo continer EJB.
    */
   DisciplinaLocal findByPrimaryKey(String sigla) throws FinderException;

   /**
    * Retorna todas as disciplinas. Esse mtodo executa uma query em EJB-QL, que est definida no
    * arquivo "ejb-jar.xml".
    */
   Collection findAllDisciplinas() throws FinderException;

}
