package sma.ep2.beans.fachada;

import java.rmi.RemoteException;
import java.util.List;

import javax.ejb.EJBObject;
import javax.ejb.FinderException;

import sma.ep2.beans.fachada.vo.AlunoValueObject;
import sma.ep2.beans.fachada.vo.DisciplinaValueObject;

/**
 * Interface remota do bean de sesso sem estado que prov acesso aos entity beans (<code>AlunoBean</code>
 * e <code>DisciplinaBean</code>).
 */
public interface Fachada extends EJBObject
{

   void criaAluno(Integer numeroUsp, String nome, String curso, String email)
         throws RemoteException;

   void criaDisciplina(String sigla, String nome, String professor, String horario)
         throws RemoteException;

   void removeAluno(Integer numeroUsp) throws RemoteException, FinderException;

   void removeDisciplina(String sigla) throws RemoteException, FinderException;

   AlunoValueObject obtemAluno(Integer numeroUsp) throws RemoteException, FinderException;

   DisciplinaValueObject obtemDisciplina(String sigla) throws RemoteException, FinderException;

   List obtemTodosOsAlunos() throws RemoteException, FinderException;

   List obtemTodasAsDisciplinas() throws RemoteException, FinderException;

   void efetuaMatricula(Integer numeroUspDoAluno, String siglaDaDisciplina) throws RemoteException,
         FinderException;

}
